# Generated by Django 2.0.5 on 2021-03-11 07:10

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    replaces = [('project_management', '0002_auto_20210302_1304'), ('project_management', '0003_auto_20210303_0528'), ('project_management', '0004_auto_20210304_1036'), ('project_management', '0005_auto_20210311_0708')]

    dependencies = [
        ('accounts', '0091_auto_20210311_0708'),
        ('project_management', '0001_initial_squashed_0003_auto_20210223_0631'),
        ('accounts', '0090_circuittype_provider'),
    ]

    operations = [
        migrations.AlterUniqueTogether(
            name='projectphase',
            unique_together={('project_type', 'title')},
        ),
        migrations.AlterUniqueTogether(
            name='projecttype',
            unique_together={('provider', 'title')},
        ),
        migrations.CreateModel(
            name='ActivityStatusSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(help_text='Title for this status.', max_length=100)),
                ('description', models.TextField(blank=True, help_text='Description for this status', null=True)),
                ('color', models.CharField(help_text='Hex Code for the color to be shown for this status.', max_length=10)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pmo_activity_status', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RemoveField(
            model_name='overallstatussetting',
            name='color',
        ),
        migrations.AddField(
            model_name='overallstatussetting',
            name='is_default',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterUniqueTogether(
            name='activitystatussetting',
            unique_together={('provider', 'title')},
        ),
        migrations.AddField(
            model_name='overallstatussetting',
            name='color',
            field=models.CharField(default='#FFFFFF', max_length=10),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='overallstatussetting',
            name='is_open',
            field=models.BooleanField(default=True),
        ),
        migrations.CreateModel(
            name='ProjectBoard',
            fields=[
                ('id',
                 models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150)),
                ('connectwise_id',
                 models.PositiveIntegerField(help_text='Connectwise id for this board.', null=True)),
                ('provider',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_boards',
                                   to='accounts.Provider')),
            ],
        ),
        migrations.AddField(
            model_name='overallstatussetting',
            name='board',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='statuses', to='project_management.ProjectBoard'),
            preserve_default=False,
        ),
        migrations.AlterUniqueTogether(
            name='overallstatussetting',
            unique_together={('provider', 'title')},
        ),
        migrations.CreateModel(
            name='CustomerContactRole',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('role', models.CharField(max_length=200)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider')),
            ],
        ),
        migrations.RemoveField(
            model_name='projectboardsetting',
            name='provider',
        ),
        migrations.DeleteModel(
            name='ProjectBoardSetting',
        ),
        migrations.AlterUniqueTogether(
            name='projectboard',
            unique_together={('provider', 'connectwise_id')},
        ),
        migrations.AlterUniqueTogether(
            name='customercontactrole',
            unique_together={('provider', 'role')},
        ),
    ]
